Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io
Class ReadWriteFactory

    java.lang.Object
      info.bioinfweb.treegraph.document.io.ReadWriteFactory

    public class ReadWriteFactory

extends Object

Field Summary
`private EnumMap<ReadWriteFormat,SingleReadWriteFactory>` | `factories`
`private static ReadWriteFactory` | `firstInstance`

Constructor Summary
`private` | `ReadWriteFactory()`

Method Summary
`private void` | `fillList()`
`ReadWriteFormat` | `formatByFile(File file)`
`ReadWriteFormat` | `formatByFileName(String name)` Returns the file format guessed from the file extension.
`AbstractFilter` | `getFilter(ReadWriteFormat f)`
`static ReadWriteFactory` | `getInstance()`
`DocumentReader` | `getReader(File file)`
`DocumentReader` | `getReader(ReadWriteFormat f)`
`DocumentWriter` | `getWriter(ReadWriteFormat f)`
`boolean` | `hasReader(ReadWriteFormat f)`
`boolean` | `hasWriter(ReadWriteFormat f)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### firstInstance

    private static ReadWriteFactory firstInstance

### factories

    private EnumMap<ReadWriteFormat,SingleReadWriteFactory> factories

Constructor Detail

### ReadWriteFactory

    private ReadWriteFactory()

Method Detail

### fillList

    private void fillList()

### getInstance

    public static ReadWriteFactory getInstance()

### formatByFileName

    public ReadWriteFormat formatByFileName(String name)

  Returns the file format guessed from the file extension. (If several formats with the same extension exist the first in the list is returned.)

  Parameters:
    `name` -
  Returns:

### formatByFile

    public ReadWriteFormat formatByFile(File file)

### getReader

    public DocumentReader getReader(File file)

### hasReader

    public boolean hasReader(ReadWriteFormat f)

### hasWriter

    public boolean hasWriter(ReadWriteFormat f)

### getReader

    public DocumentReader getReader(ReadWriteFormat f)

### getWriter

    public DocumentWriter getWriter(ReadWriteFormat f)

### getFilter

    public AbstractFilter getFilter(ReadWriteFormat f)

### size

    public int size()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD